Method: servingProfiles.list

Full name: projects.locations.servingProfiles.list

Lists ServingProfiles in a Location.

Endpoint

get https://{service-endpoint}/v1/{parent}/servingProfiles

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the Location to list the ServingProfiles from. Format: projects/{project}/locations/{location}

Query parameters

pageSize integer

Optional. The standard list page size. If unspecified, at most 100 ServingProfiles will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken string

Optional. The standard list page token.

Request body

The request body must be empty.

Response body

Response message for ServingProfileService.ListServingProfiles.

If successful, the response body contains data with the following structure:

Fields
servingProfiles[] object (ServingProfile)

Output only. A list of ServingProfiles.

nextPageToken string

Output only. A token to retrieve the next page of results.

JSON representation
{
  "servingProfiles": [
    {
      object (ServingProfile)
    }
  ],
  "nextPageToken": string
}